summaryrefslogtreecommitdiffstats
path: root/network/heimdal
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-10-19 17:11:22 +0100
committer Michiel van Wessem <michiel@slackbuilds.org>2010-10-19 17:11:22 +0100
commit1f03a0e8f069db34508633d2df61701eba96368e (patch)
treebb0b9e0f759747367f199e87a92c7190873eb9e7 /network/heimdal
parent584ec3e1a28c6c302ddb506e388e5424b0835fee (diff)
downloadslackbuilds-1f03a0e8f069db34508633d2df61701eba96368e.tar.gz
slackbuilds-1f03a0e8f069db34508633d2df61701eba96368e.tar.xz
network/heimdal: Updated for version 1.4.
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
Diffstat (limited to 'network/heimdal')
-rw-r--r--network/heimdal/config/heimdal.csh8
-rw-r--r--network/heimdal/config/heimdal.sh10
-rw-r--r--network/heimdal/config/kdc.conf20
-rw-r--r--network/heimdal/config/rc.heimdal36
-rw-r--r--network/heimdal/doinst.sh39
-rw-r--r--network/heimdal/heimdal.SlackBuild4
-rw-r--r--network/heimdal/heimdal.info8
7 files changed, 22 insertions, 103 deletions
diff --git a/network/heimdal/config/heimdal.csh b/network/heimdal/config/heimdal.csh
deleted file mode 100644
index be96ce7347..0000000000
--- a/network/heimdal/config/heimdal.csh
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/csh
-
-setenv MANPATH ${MANPATH}:/usr/heimdal/man
-
-setenv PATH "${PATH}:/usr/heimdal/bin"
-if ( x"$uid" == x"0" ) then
- setenv PATH "${PATH}:/usr/heimdal/sbin"
-endif
diff --git a/network/heimdal/config/heimdal.sh b/network/heimdal/config/heimdal.sh
deleted file mode 100644
index 561d30a296..0000000000
--- a/network/heimdal/config/heimdal.sh
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-MANPATH="$MANPATH:/usr/heimdal/man"
-export MANPATH
-
-PATH="${PATH}:/usr/heimdal/bin"
-if [ x"${EUID}" == x"0" ]; then
- PATH="${PATH}:/usr/heimdal/sbin"
-fi
-export PATH
diff --git a/network/heimdal/config/kdc.conf b/network/heimdal/config/kdc.conf
deleted file mode 100644
index 180b8ab69e..0000000000
--- a/network/heimdal/config/kdc.conf
+++ /dev/null
@@ -1,20 +0,0 @@
-# Leave this section out on the clients
-[kdc]
- # Space seperated list of addresses to listen for requests on.
- #addresses = 192.168.0.1 172.16.0.1 10.0.0.1
-
- # Following directive is needed when KDC starts atomatically
- require-preauth = no
-
- # database key file
- key-file = /var/heimdal/key-file
-
- # Check the addresses in the ticket when processing TGS requests.
- check-ticket-addresses = TRUE
-
- # Permit tickets with no addresses.
- #allow-null-ticket-addresses = TRUE
-
- # Permit anonymous tickets with no addresses.
- #allow-anonymous = TRUE
-
diff --git a/network/heimdal/config/rc.heimdal b/network/heimdal/config/rc.heimdal
deleted file mode 100644
index 7c0b93fe72..0000000000
--- a/network/heimdal/config/rc.heimdal
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-heimdal_start() {
- if [ -r /var/heimdal/kdc.conf -a -x /usr/heimdal/libexec/kdc ]; then
- echo "Starting the Kerberos service: /usr/heimdal/libexec/kdc --detach"
- /usr/heimdal/libexec/kdc --detach
- fi
-
-}
-
-heimdal_stop() {
- killall kdc
-
-}
-
-heimdal_restart() {
- heimdal_stop
- sleep 1
- heimdal_start
-
-}
-
-case "$1" in
-'start')
- heimdal_start
- ;;
-'stop')
- heimdal_stop
- ;;
-'restart')
- heimdal_restart
- ;;
-*)
- echo "Usage: $0 start|stop|restart"
-esac
-
diff --git a/network/heimdal/doinst.sh b/network/heimdal/doinst.sh
index 8920e52c25..804678c3b8 100644
--- a/network/heimdal/doinst.sh
+++ b/network/heimdal/doinst.sh
@@ -1,8 +1,3 @@
-# Add heimdal libs to the library search path
-if ! grep -q '^/usr/heimdal/lib$' etc/ld.so.conf ; then
- echo "/usr/heimdal/lib" >> etc/ld.so.conf
-fi
-
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -16,27 +11,23 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-# Keep same perms on rc.heimdal:
-if [ -e etc/rc.d/rc.heimdal ]; then
- cp -a etc/rc.d/rc.heimdal etc/rc.d/rc.heimdal.new.incoming
- cat etc/rc.d/rc.heimdal.new > etc/rc.d/rc.heimdal.new.incoming
- mv etc/rc.d/rc.heimdal.new.incoming etc/rc.d/rc.heimdal.new
-fi
-
-# Prepare the new configuration files
-for file in \
- etc/rc.d/rc.heimdal.new \
- etc/profile.d/heimdal.sh.new \
- etc/profile.d/heimdal.csh.new ;
- do
- if [ -e $(dirname $file)/$(basename $file .new) -a -x $(dirname $file)/$(basename $file .new) ]; then
- chmod 0755 $file
- else
- chmod 0644 $file
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
fi
- config $file
-done
+ config $NEW
+}
+preserve_perms etc/rc.d/rc.heimdal.new
config etc/krb5.conf-sample.new
config var/heimdal/kdc.conf-sample.new
+# Add heimdal libs to the library search path
+if ! grep -q '^/usr/heimdal/lib$' etc/ld.so.conf ; then
+ echo "/usr/heimdal/lib" >> etc/ld.so.conf
+fi
+
diff --git a/network/heimdal/heimdal.SlackBuild b/network/heimdal/heimdal.SlackBuild
index 62f02ff77b..ef5042fb16 100644
--- a/network/heimdal/heimdal.SlackBuild
+++ b/network/heimdal/heimdal.SlackBuild
@@ -1,6 +1,7 @@
#!/bin/sh
# Slackware build script for KTH Heimdal Kerberos
+
# Written by Menno Duursma <druiloor@zonnet.nl>
# Modified by the SlackBuilds.org project
@@ -9,7 +10,7 @@
# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=heimdal
-VERSION=${VERSION:-1.3.3}
+VERSION=${VERSION:-1.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -74,6 +75,7 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
--enable-shared=yes \
+ --disable-otp \
--without-openldap \
--without-hesiod \
--without-ipv6 \
diff --git a/network/heimdal/heimdal.info b/network/heimdal/heimdal.info
index 33ae56c65d..1c0357b689 100644
--- a/network/heimdal/heimdal.info
+++ b/network/heimdal/heimdal.info
@@ -1,10 +1,10 @@
PRGNAM="heimdal"
-VERSION="1.3.3"
+VERSION="1.4"
HOMEPAGE="http://www.h5l.org"
-DOWNLOAD="ftp://ftp.sunet.se/pub/unix/admin/mirror-pdc/heimdal/src/heimdal-1.3.3.tar.gz"
-MD5SUM="963c09f1b14c41660be70b55fae9f163"
+DOWNLOAD="http://www.h5l.org/dist/src/heimdal-1.4.tar.gz"
+MD5SUM="31d08bbf47a77827fe97ef3f52b4c9c4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="rworkman"
+APPROVED="michiel"